/**
  Generated Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.77
        Device            :  PIC16F15355
        Driver Version    :  2.00
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#include "mcc_generated_files/mcc.h"
#include "lcd_lib_from18F46K22.h"
#include <stdio.h>
#define _XTAL_FREQ 29491200
unsigned int flg_printf;//1=TX1printfMA2=TX2printfMA3=pLCDւprintfM
unsigned char data;//RXŎMf[^
//
void TMR0_Interrupt(void);//^C}[0BmF̂LED_ŗpB
/*
                         Main application
 */
//printf̏o͐ύX
void putch(unsigned char Data)
{
    if ( flg_printf == 1 )           
        {                           
            EUSART1_Write(Data);
        }                           
    else                            
        {
            if (flg_printf == 2 )
                {
                    EUSART2_Write(Data);
                }        
            else 
                {
                    lcd_data(Data);
                }
        }
}
//

void main(void)
{
    // initialize the device
    SYSTEM_Initialize();
    __delay_ms(2000);// オ莞 EUSARTo͂̃S~EUSART̎MŃNA鎞ԁB
    TMR0_SetInterruptHandler(TMR0_Interrupt);
    // When using interrupts, you need to set the Global and Peripheral Interrupt Enable bits
    // Use the following macros to:

    // Enable the Global Interrupts
    INTERRUPT_GlobalInterruptEnable();

    // Enable the Peripheral Interrupts
    INTERRUPT_PeripheralInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();
    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();
    lcd_init();                //LCD
    lcd_clear();               //LCDS
    lcd_cursor(0x80);
//
    lcd_data(0x31);//printf͎g킸LCDցu1v\
    flg_printf = 1;//TX1̑Mݒ
    printf("hellow to TX1");//TX1ւ̑M
//
    lcd_data(0x32);//printf͎g킸LCDցu2v\
    flg_printf = 2;//TX2̑Mݒ
    printf("hellow to TX2");//TX2ւ̑M
//
    lcd_data(0x33);//printf͎g킸LCDցu3v\
    flg_printf = 3;//LCD̑Mݒ
    printf("hellow to LCD");//LCDւ̑MB
    
    while (1)
    {
        if ( EUSART1_is_rx_ready() )//RX1MƂTrueƂȂ
            {
                data = EUSART1_Read();//RX1̃f[^ǂݏo
                EUSART2_Write(data);//TX2֑M    
            }
        if ( EUSART2_is_rx_ready() )//RX2MƂTrueƂȂ
            {
                data = EUSART2_Read();//RX2̃f[^ǂݏo
                EUSART1_Write(data);//TX1֑M    
            }
        // Add your application code
    }
}
//^C}[0BmF̂LED_ŗpB500ms=500ms~1@MCCŐݒς݁B
void TMR0_Interrupt(void){
    O_RB5_Toggle();
    }
/**
 End of File
*/